'=========================================================================================
'    Function Name       : include
'    Functional overview : include an external vbs file.
'    Param:
'         SourceFile     : [in]The relative path of Source File with current script 
'    Author              : P.Y.
'    Date                : 2018-12-24
'=========================================================================================
function include(SourceFile)
    DIM strCurrentDir, strSourcePath
    DIM strFileContents
    DIM fso

    strCurrentDir = Createobject("Scripting.FileSystemObject").GetFile(Wscript.ScriptFullName).ParentFolder.Path
    strSourcePath = strCurrentDir + "\" + SourceFile

    Set fso = CreateObject("Scripting.FilesyStemObject")
    strFileContents = fso.OpenTextFile(strSourcePath, 1).ReadAll
    ExecuteGlobal strFileContents
    Set fso = Nothing    
end function

include("DeviceCheck.vbs")
On Error Resume Next
'Get the path of the configuration file
DIM strCurrentDir, strConfigPath
strCurrentDir = Createobject("Scripting.FileSystemObject").GetFile(Wscript.ScriptFullName).ParentFolder.Path
strConfigPath = strCurrentDir + "\Config.xml"

DIM idx,strInsPar
DIM Ret
If WScript.Arguments.Count <> 0 Then
    For idx=0 to WScript.Arguments.Count -1 
       strInsPar = strInsPar &  " " & WScript.Arguments.item(idx)   '
    Next
 End if

DIM nRet
DIM bIsCheckSingle
bIsCheckSingle = True
nRet = CheckDevices(strConfigPath, bIsCheckSingle)

if nRet < 0 Then
    Set Shell = WScript.CreateObject("WScript.Shell") 
    Ret = Shell.Run("setup.bat"& strInsPar, 0, True)
	wscript.Quit(1) 
end if
wscript.Quit(0)